X2Go Bug report logs - #349
Make shadow sessions work with --hide option

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: marcoandredinis@gmail.com

Date: Tue, 26 Nov 2013 16:18:01 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.1

Fixed in version 4.0.2.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Tue, 26 Nov 2013 16:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to marcoandredinis@gmail.com:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Nov 2013 16:18:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: marcoandredinis@gmail.com
To: submit@bugs.x2go.org
Subject: Tag: patch
Date: Tue, 26 Nov 2013 16:01:41 +0000
Package: x2goclient
Version: 4.0.1.1

This email was sent to x2go-dev mailling list, but since it also refers a Bug, 
I am also filling a  bug report

Hi

I'm developing a program that will use X2Go software. I dont want
users to notice they are using any other program besides my own.

I have two problems right now:

A) X2GoClient
Using SHADOW mode with "--hide" does not work. The interface waits for
selection of Display (usually ":0") and, since there's no input from
user (there's no window) the program does not show anything.
There are possible ways of fixing/improving this situation:
-allow user to set the default display on sessions' file
-create one flag and run program like these: "x2goclient --hide
--sessionid=xxx --select-first-display"

Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
these lines:
l4348:..if( shadowSession )
l4349:....slotShadowSess();
Compiled the program, and now i can run "./x2goclient --hide
--sessionid=xxx" and the window will show up.
This is NOT a fix, this is a nasty workaround. It wontn show the list
even when the "hide" flag is not present.


B) X2GoDesktopSharing
Just the icon on SystemTray. If we could pass a flag like "--no-icon"
would be great


I could do these simple changes on my own, but i rather see this
changes on the official code.

Thanks,
Marco Dinis


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 349@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: marcoandredinis@gmail.com, 349@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#349: Make shadow sessions work with --hide option
Date: Wed, 27 Nov 2013 10:46:26 +0000
[Message part 1 (text/plain, inline)]
Control: retitle -1 Make shadow sessions work with --hide option
Control: tag -1 moreinfo
Control: clone -1 -2
Control: reassign -2 x2godesktopsharing
Control: retitle -2 Add --no-icon cmdline option to x2godesktopsharing
Control: severity -2 wishlist

Hi Marco,

with this mail I split up your report into to separate bug reports.  
One for x2goclient, one for x2godesktopsharing...

On  Di 26 Nov 2013 17:01:41 CET, marcoandredinis wrote:

> I'm developing a program that will use X2Go software. I dont want
> users to notice they are using any other program besides my own.
>
> I have two problems right now:
>
> A) X2GoClient
> Using SHADOW mode with "--hide" does not work. The interface waits for
> selection of Display (usually ":0") and, since there's no input from
> user (there's no window) the program does not show anything.
> There are possible ways of fixing/improving this situation:
> -allow user to set the default display on sessions' file
> -create one flag and run program like these: "x2goclient --hide
> --sessionid=xxx --select-first-display"
>
> Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
> these lines:
> l4348:..if( shadowSession )
> l4349:....slotShadowSess();
> Compiled the program, and now i can run "./x2goclient --hide
> --sessionid=xxx" and the window will show up.
> This is NOT a fix, this is a nasty workaround. It wontn show the list
> even when the "hide" flag is not present.

Please provide a patch for what you did.

Please improve your patch so it is not a workaround anymore. I guess,  
I agree with you, that the X2Go Client window should pop up, if there  
are more than one sharable desktops to select from. If there is only  
one sharable desktop, this should be auto-selected. Can you code that  
into X2Go Client, please?

> B) X2GoDesktopSharing
> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
> would be great

This part will be handled in a separate bug. I will reply to this once  
the separate bug is created in X2Go BTS.

> I could do these simple changes on my own, but i rather see this
> changes on the official code.

Let's try to get your needs into upstream code...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'Make shadow sessions work with --hide option' from 'Tag: patch' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Bug 349 cloned as bug 350 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Thu, 28 Nov 2013 10:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco André Dinis <marcoandredinis@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 10:18:01 GMT) Full text and rfc822 format available.

Message #21 received at 349@bugs.x2go.org (full text, mbox):

From: Marco André Dinis <marcoandredinis@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 349@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#349: Make shadow sessions work with --hide option
Date: Thu, 28 Nov 2013 10:16:32 +0000
[Message part 1 (text/plain, inline)]
Hi

I'm sending the patch.

However this is not the final fix. There are 2 modes: full access and
only view. Right now it starts full access.
That decision could be made using the session info. For example,
create the command SHADOWFULL

On Wed, Nov 27, 2013 at 10:46 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Control: retitle -1 Make shadow sessions work with --hide option
> Control: tag -1 moreinfo
> Control: clone -1 -2
> Control: reassign -2 x2godesktopsharing
> Control: retitle -2 Add --no-icon cmdline option to x2godesktopsharing
> Control: severity -2 wishlist
>
> Hi Marco,
>
> with this mail I split up your report into to separate bug reports. One for
> x2goclient, one for x2godesktopsharing...
>
> On  Di 26 Nov 2013 17:01:41 CET, marcoandredinis wrote:
>
>> I'm developing a program that will use X2Go software. I dont want
>> users to notice they are using any other program besides my own.
>>
>> I have two problems right now:
>>
>> A) X2GoClient
>> Using SHADOW mode with "--hide" does not work. The interface waits for
>> selection of Display (usually ":0") and, since there's no input from
>> user (there's no window) the program does not show anything.
>> There are possible ways of fixing/improving this situation:
>> -allow user to set the default display on sessions' file
>> -create one flag and run program like these: "x2goclient --hide
>> --sessionid=xxx --select-first-display"
>>
>> Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
>> these lines:
>> l4348:..if( shadowSession )
>> l4349:....slotShadowSess();
>> Compiled the program, and now i can run "./x2goclient --hide
>> --sessionid=xxx" and the window will show up.
>> This is NOT a fix, this is a nasty workaround. It wontn show the list
>> even when the "hide" flag is not present.
>
>
> Please provide a patch for what you did.
>
> Please improve your patch so it is not a workaround anymore. I guess, I
> agree with you, that the X2Go Client window should pop up, if there are more
> than one sharable desktops to select from. If there is only one sharable
> desktop, this should be auto-selected. Can you code that into X2Go Client,
> please?
>
>> B) X2GoDesktopSharing
>> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
>> would be great
>
>
> This part will be handled in a separate bug. I will reply to this once the
> separate bug is created in X2Go BTS.
>
>> I could do these simple changes on my own, but i rather see this
>> changes on the official code.
>
>
> Let's try to get your needs into upstream code...
>
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[autostartSession.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Mon, 09 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco André Dinis <marcoandredinis@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 09 Dec 2013 11:18:02 GMT) Full text and rfc822 format available.

Message #26 received at 349@bugs.x2go.org (full text, mbox):

From: Marco André Dinis <marcoandredinis@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 349@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#349: Make shadow sessions work with --hide option
Date: Mon, 9 Dec 2013 11:03:34 +0000
[Message part 1 (text/plain, inline)]
Any news on implementing this?


On Thu, Nov 28, 2013 at 10:16 AM, Marco André Dinis <
marcoandredinis@gmail.com> wrote:

> Hi
>
> I'm sending the patch.
>
> However this is not the final fix. There are 2 modes: full access and
> only view. Right now it starts full access.
> That decision could be made using the session info. For example,
> create the command SHADOWFULL
>
> On Wed, Nov 27, 2013 at 10:46 AM, Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
> > Control: retitle -1 Make shadow sessions work with --hide option
> > Control: tag -1 moreinfo
> > Control: clone -1 -2
> > Control: reassign -2 x2godesktopsharing
> > Control: retitle -2 Add --no-icon cmdline option to x2godesktopsharing
> > Control: severity -2 wishlist
> >
> > Hi Marco,
> >
> > with this mail I split up your report into to separate bug reports. One
> for
> > x2goclient, one for x2godesktopsharing...
> >
> > On  Di 26 Nov 2013 17:01:41 CET, marcoandredinis wrote:
> >
> >> I'm developing a program that will use X2Go software. I dont want
> >> users to notice they are using any other program besides my own.
> >>
> >> I have two problems right now:
> >>
> >> A) X2GoClient
> >> Using SHADOW mode with "--hide" does not work. The interface waits for
> >> selection of Display (usually ":0") and, since there's no input from
> >> user (there's no window) the program does not show anything.
> >> There are possible ways of fixing/improving this situation:
> >> -allow user to set the default display on sessions' file
> >> -create one flag and run program like these: "x2goclient --hide
> >> --sessionid=xxx --select-first-display"
> >>
> >> Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
> >> these lines:
> >> l4348:..if( shadowSession )
> >> l4349:....slotShadowSess();
> >> Compiled the program, and now i can run "./x2goclient --hide
> >> --sessionid=xxx" and the window will show up.
> >> This is NOT a fix, this is a nasty workaround. It wontn show the list
> >> even when the "hide" flag is not present.
> >
> >
> > Please provide a patch for what you did.
> >
> > Please improve your patch so it is not a workaround anymore. I guess, I
> > agree with you, that the X2Go Client window should pop up, if there are
> more
> > than one sharable desktops to select from. If there is only one sharable
> > desktop, this should be auto-selected. Can you code that into X2Go
> Client,
> > please?
> >
> >> B) X2GoDesktopSharing
> >> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
> >> would be great
> >
> >
> > This part will be handled in a separate bug. I will reply to this once
> the
> > separate bug is created in X2Go BTS.
> >
> >> I could do these simple changes on my own, but i rather see this
> >> changes on the official code.
> >
> >
> > Let's try to get your needs into upstream code...
> >
> > Mike
> >
> > --
> >
> > DAS-NETZWERKTEAM
> > mike gabriel, herweg 7, 24357 fleckeby
> > fon: +49 (1520) 1976 148
> >
> > GnuPG Key ID 0x25771B31
> > mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> >
> > freeBusy:
> >
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Mon, 09 Dec 2013 14:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 09 Dec 2013 14:48:01 GMT) Full text and rfc822 format available.

Message #31 received at 349@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Marco André Dinis <marcoandredinis@gmail.com>
Cc: 349@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#349: Make shadow sessions work with --hide option
Date: Mon, 09 Dec 2013 14:47:55 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 patch
Control: tag -1 - moreinfo

Hi Marco,

this is still pending due to ENOTIME. Sorry. It won't get lost as long  
as it is in our bugtracker...

Mike

On  Mo 09 Dez 2013 12:03:34 CET, Marco André Dinis wrote:

> Any news on implementing this?
>
>
> On Thu, Nov 28, 2013 at 10:16 AM, Marco André Dinis <
> marcoandredinis@gmail.com> wrote:
>
>> Hi
>>
>> I'm sending the patch.
>>
>> However this is not the final fix. There are 2 modes: full access and
>> only view. Right now it starts full access.
>> That decision could be made using the session info. For example,
>> create the command SHADOWFULL
>>
>> On Wed, Nov 27, 2013 at 10:46 AM, Mike Gabriel
>> <mike.gabriel@das-netzwerkteam.de> wrote:
>> > Control: retitle -1 Make shadow sessions work with --hide option
>> > Control: tag -1 moreinfo
>> > Control: clone -1 -2
>> > Control: reassign -2 x2godesktopsharing
>> > Control: retitle -2 Add --no-icon cmdline option to x2godesktopsharing
>> > Control: severity -2 wishlist
>> >
>> > Hi Marco,
>> >
>> > with this mail I split up your report into to separate bug reports. One
>> for
>> > x2goclient, one for x2godesktopsharing...
>> >
>> > On  Di 26 Nov 2013 17:01:41 CET, marcoandredinis wrote:
>> >
>> >> I'm developing a program that will use X2Go software. I dont want
>> >> users to notice they are using any other program besides my own.
>> >>
>> >> I have two problems right now:
>> >>
>> >> A) X2GoClient
>> >> Using SHADOW mode with "--hide" does not work. The interface waits for
>> >> selection of Display (usually ":0") and, since there's no input from
>> >> user (there's no window) the program does not show anything.
>> >> There are possible ways of fixing/improving this situation:
>> >> -allow user to set the default display on sessions' file
>> >> -create one flag and run program like these: "x2goclient --hide
>> >> --sessionid=xxx --select-first-display"
>> >>
>> >> Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
>> >> these lines:
>> >> l4348:..if( shadowSession )
>> >> l4349:....slotShadowSess();
>> >> Compiled the program, and now i can run "./x2goclient --hide
>> >> --sessionid=xxx" and the window will show up.
>> >> This is NOT a fix, this is a nasty workaround. It wontn show the list
>> >> even when the "hide" flag is not present.
>> >
>> >
>> > Please provide a patch for what you did.
>> >
>> > Please improve your patch so it is not a workaround anymore. I guess, I
>> > agree with you, that the X2Go Client window should pop up, if there are
>> more
>> > than one sharable desktops to select from. If there is only one sharable
>> > desktop, this should be auto-selected. Can you code that into X2Go
>> Client,
>> > please?
>> >
>> >> B) X2GoDesktopSharing
>> >> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
>> >> would be great
>> >
>> >
>> > This part will be handled in a separate bug. I will reply to this once
>> the
>> > separate bug is created in X2Go BTS.
>> >
>> >> I could do these simple changes on my own, but i rather see this
>> >> changes on the official code.
>> >
>> >
>> > Let's try to get your needs into upstream code...
>> >
>> > Mike
>> >
>> > --
>> >
>> > DAS-NETZWERKTEAM
>> > mike gabriel, herweg 7, 24357 fleckeby
>> > fon: +49 (1520) 1976 148
>> >
>> > GnuPG Key ID 0x25771B31
>> > mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>> >
>> > freeBusy:
>> >
>> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
>>


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Mon, 09 Dec 2013 14:48:01 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Mon, 09 Dec 2013 14:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Fri, 28 Mar 2014 23:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 28 Mar 2014 23:35:02 GMT) Full text and rfc822 format available.

Message #40 received at 349@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 349-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 349@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sat, 29 Mar 2014 00:31:54 +0100 (CET)
tag #349 pending
fixed #349 4.0.2.0
thanks

Hello,

X2Go issue #349 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=89b5d94

The issue will most likely be fixed in src:x2goclient (4.0.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 89b5d94ac7aa9b3fe9a9e398c60e74a8a13d095b
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Mar 29 00:32:04 2014 +0100

    Allow starting shadow sessions from the command line with option --hidden being enabled. (Fixes: #349).

diff --git a/debian/changelog b/debian/changelog
index 14ae6df..f5db338 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -35,6 +35,8 @@ x2goclient (4.0.2.0-0x2go1) UNRELEASED; urgency=low
       nightly builds in build scripts.
     - Rename txt/git to txt/git-info (make it compliant with cmdline
       options).
+    - Allow starting shadow sessions from the command line with
+      option --hidden being enabled. (Fixes: #349).
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).
     + Bump Standards: to 3.9.5. No changes needed.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Mar 2014 23:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.2.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Mar 2014 23:35:02 GMT) Full text and rfc822 format available.

Message sent on to marcoandredinis@gmail.com:
Bug#349. (Fri, 28 Mar 2014 23:35:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Thu, 10 Apr 2014 11:55:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:55:04 GMT) Full text and rfc822 format available.

Message #52 received at 349@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 349-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 349@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 10 Apr 2014 13:52:13 +0200 (CEST)
close #349
thanks

Hello,

we are very hopeful that X2Go issue #349 reported by you
has been resolved in the new release (4.0.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=cbe900f245206ad9bd62d0fbaf226da1b3ffc44e;hp=f7cdada8c57c45ee9ea3b6c42bd680fae26d728c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.0-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 13:47:56 +0200
Fixes: 138 349 422 440 446 448 453
Changes: 
 x2goclient (4.0.2.0-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.2.0):
     - Revrite SSH Classes to support libssh fix.
     - Add Class HelpDialog to show options in scroll area.
     - Fix authentication on SSH Broker with key + passphrase.
     - Set modmap timer timeout to 10 sec on Mac.
     - Fix running xmodmap if X2Go Client not started from terminal.
     - Setting keyboard modifiers with xmodmap.
     - Fix multimonitor support on Linux.
     - Display more version info. Parameters --version, --git, --changelog.
     - Don't show GUI dialog for --version, --help, etc, if started
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
     - Check if txt/changelog and txt/git exist on config phase.
       Rename option "--git" to "--git-info".
     - Change x2goclient.nsi for nightly builds.
 .
   [ Josh Lukens ]
   * New upstream version (4.0.2.0):
     - Switch to QNetworkAccessManager. Appropriately set content type
       header to "application/x-www-form-urlencoded" for HTTP post
       requests. (Fixes: #440, #138).
     - Fix copy+paste errors in QNetworkAccessManager code.
     - Provide support for dynamic authentication IDs. This is
       a requirement for using the broker client against brokers
       that use some sort of OTP authentication mechanism.
       (Fixes: #446).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.2.0):
     - Drop create_text.sh again, implement changelog copying
       in distro build files. Implement Git history creation for
       nightly builds in build scripts.
     - Rename txt/git to txt/git-info (make it compliant with cmdline
       options).
     - Allow starting shadow sessions from the command line with
       option --hidden being enabled. (Fixes: #349).
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).
     + Bump Standards: to 3.9.5. No changes needed.
   * debian/rules:
     + Copy debian/changelog into txt/ subfolder during dh_auto_configure.
     + Create txt/git-info files for ChangeLog.git if it exists.
   * x2goclient.spec:
     + Copy ChangeLog (or debian/changelog) into txt/ subfolder during
       %setup.
     + Copy ChangeLog.gitlog (if present) into txt/ subfolder during %setup.
     + B-R (epel-7): man2html-core (same as for Fedora builds).
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.2.0):
     - Decrease HelpDialog's tab width from 320 to 30
       (the width of 10 spaces.) (Fixes: #453)
     - Windows: Fix compatibility with PulseAudio 3.0 & later through
       new cookie handling. (Fixes: #422)
     - Windows: Upgrade included PulseAudio from 1.1 to 5.0.
       The 5.0 build is patched for X2Go bug #363. and available here:
         https://build.opensuse.org/project/show/home:mikedep333:branches:home:\
         mkbosmans:mingw32:pulseaudio
     - Windows: Reapply KDE on Windows's patch for Pageant support to
       libssh 0.5.5. (Fixes: #448)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 10 Apr 2014 11:55:10 GMT) Full text and rfc822 format available.

Notification sent to marcoandredinis@gmail.com:
Bug acknowledged by developer. (Thu, 10 Apr 2014 11:55:10 GMT) Full text and rfc822 format available.

Message sent on to marcoandredinis@gmail.com:
Bug#349. (Thu, 10 Apr 2014 11:55:13 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#349; Package x2goclient. (Fri, 09 May 2014 00:10:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wingllok@qq.com" <wingllok@qq.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 May 2014 00:10:03 GMT) Full text and rfc822 format available.

Message #64 received at 349@bugs.x2go.org (full text, mbox):

From: "Slavotinek, Joseph E" <jslavotinek@howardcountymd.gov>
To: Undisclosed recipients:;
Subject: Did you get my first mail?
Date: Thu, 8 May 2014 23:52:55 +0000
[Message part 1 (text/plain, inline)]

[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 06 Jun 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat May 25 11:48:50 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.